Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ItemDataRole

    java.lang.Object
      com.trolltech.qt.core.Qt.ItemDataRole

Enclosing interface:
  Qt

    public static class Qt.ItemDataRole

extends java.lang.Object

Each item in the model has a set of data elements associated with it, each with its own role. The roles are used by the view to indicate to the model which type of data it needs.

The general purpose roles are: Roles describing appearance and meta data: Accessibility roles: User roles:

Field Summary
`static int` | `AccessibleDescriptionRole`
`static int` | `AccessibleTextRole`
`static int` | `BackgroundRole`
`static int` | `CheckStateRole`
`static int` | `DecorationRole`
`static int` | `DisplayRole`
`static int` | `EditRole`
`static int` | `FontRole`
`static int` | `ForegroundRole`
`static int` | `SizeHintRole`
`static int` | `StatusTipRole`
`static int` | `TextAlignmentRole`
`static int` | `ToolTipRole`
`static int` | `UserRole`
`static int` | `WhatsThisRole`

Constructor Summary
`Qt.ItemDataRole()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DisplayRole

    public static final int DisplayRole

See Also:
  Constant Field Values

### DecorationRole

    public static final int DecorationRole

See Also:
  Constant Field Values

### EditRole

    public static final int EditRole

See Also:
  Constant Field Values

### ToolTipRole

    public static final int ToolTipRole

See Also:
  Constant Field Values

### StatusTipRole

    public static final int StatusTipRole

See Also:
  Constant Field Values

### WhatsThisRole

    public static final int WhatsThisRole

See Also:
  Constant Field Values

### FontRole

    public static final int FontRole

See Also:
  Constant Field Values

### TextAlignmentRole

    public static final int TextAlignmentRole

See Also:
  Constant Field Values

### BackgroundRole

    public static final int BackgroundRole

See Also:
  Constant Field Values

### ForegroundRole

    public static final int ForegroundRole

See Also:
  Constant Field Values

### CheckStateRole

    public static final int CheckStateRole

See Also:
  Constant Field Values

### AccessibleTextRole

    public static final int AccessibleTextRole

See Also:
  Constant Field Values

### AccessibleDescriptionRole

    public static final int AccessibleDescriptionRole

See Also:
  Constant Field Values

### SizeHintRole

    public static final int SizeHintRole

See Also:
  Constant Field Values

### UserRole

    public static final int UserRole

See Also:
  Constant Field Values

Constructor Detail

### Qt.ItemDataRole

    public Qt.ItemDataRole()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD